## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 0

Name:           wcurl
Version:        2025.02.24
Release:        %autorelease
Summary:        A simple wrapper around curl to easily download files
License:        curl
BuildArch:      noarch
URL:            https://github.com/curl/%{name}
Source:		%{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# rhbz#1992804
# Temporarily disable the test until the PR is merged.
# https://src.fedoraproject.org/rpms/shunit2/pull-request/1
%if %{with tests}
BuildRequires:  shunit2
%endif
BuildRequires:  curl
Requires:       curl

%description
%{summary}.

%prep
%autosetup

%build

%install
install -t '%{buildroot}%{_bindir}' -D -p wcurl
install -t '%{buildroot}%{_mandir}/man1' -D -m 0644 -p wcurl.1

%check
%if %{with tests}
PATH="${PATH}:%{buildroot}%{_bindir}" ./tests/tests.sh
%endif

%files
%doc README.md
%doc CHANGELOG.md
%license LICENSE
%license AUTHORS
%{_bindir}/wcurl
%{_mandir}/man1/wcurl.1*

%changelog
## START: Generated by rpmautospec
* Tue Feb 25 2025 Mohammadreza Hendiani <man2dev@fedoraproject.org> - 2025.02.24-1
- Updated v2025.02.24 fix rhbz#2347417

* Wed Feb 05 2025 Mohammadreza Hendiani <man2dev@fedoraproject.org> - 2024.12.08-4
- Fix missing source archive

* Wed Feb 05 2025 Mohammadreza Hendiani <man2dev@fedoraproject.org> - 2024.12.08-3
- Initial import (fedora#2343235).

* Sun Feb 02 2025 Mohammadreza Hendiani <man2dev@fedoraproject.org> - 2024.12.08-2
- explicitly disabled tests and removed linters

* Sun Feb 02 2025 Mohammadreza Hendiani <man2dev@fedoraproject.org> - 2024.12.08-1
- applying fixes

* Sun Feb 02 2025 Mohammadreza Hendiani <man2dev@fedoraproject.org> - 1:2024.12.08-1
- initial rpm files
## END: Generated by rpmautospec
